GFS_PIO_SEEK(3)

NAME
gfs_pio_seek - reposition a stream

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_pio_seek(GFS_File gf, gfarm_off_t offset, int whence, gfarm_off_t * result);

DESCRIPTION

The gfs_pio_seek() function sets the file position indicator for the file gf. The new position, measured in bytes, is obtained by adding offset bytes to the position specified by whence. If whence is set to GFARM_SEEK_SET, GFARM_SEEK_CUR, or GFARM_SEEK_END, the offset is relative to the start of the file, the current position indicator, or end-of-file, respectively. When result is not NULL, the new position returns to the address pointed by result.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_INVALID_ARGUMENT
    Specified whence or offset is invalid.

Other
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)